/*
 * FILE:
 * duifield-sql.h
 *
 * FUNCTION:
 * Implement the field for the SQL type.
 *
 * HISTORY:
 * Linas Vepstas September 2003
 */

#ifndef DUI_FIELD_SQL_H
#define DUI_FIELD_SQL_H

#include "config.h"

#include "dui-initdb.h"

/** data is from an sql table column */
void dui_field_set_sql (DuiField *ft, const char * fieldname);

/** used for matching an sql field */
void dui_field_set_where (DuiField *ft,
                            const char * fieldname,
                            const char * compareop);

/* ---------------------------------------------- */

void dui_field_resolve_recordset (DuiField *fs, DuiDBRecordSet *recs);

#endif /* DUI_FIELD_SQL_H */
